## org.eclipse.emf.common.ui.editor
Class ProblemEditorPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.emf.common.ui.editor.ProblemEditorPart

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class ProblemEditorPart

extends EditorPart

Since:
  2.2.0

Nested Class Summary
`static class` `ProblemEditorPart.TextProvider` Since 2.3.0

Field Summary
`protected Button` `detailsButton`
`protected Composite` `detailsComposite`
`protected Diagnostic` `diagnostic`
`protected DiagnosticComposite` `diagnosticComposite`
`protected java.lang.String` `editorToOpen`
`protected Label` `imageLabel`
`protected MarkerHelper` `markerUtil`
`protected Text` `messageText`
`protected ProblemEditorPart.TextProvider` `textProvider`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ProblemEditorPart()`

Method Summary
`protected java.lang.String` `computeEditorToOpen()`
`protected void` `createMarkers()`
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`void` `doSave(IProgressMonitor monitor)`
`void` `doSaveAs()`
`Diagnostic` `getDiagnostic()`
`protected Image` `getImage()`
`MarkerHelper` `getMarkerHelper()`
`protected java.lang.String` `getMessage()`
`ProblemEditorPart.TextProvider` `getTextProvider()`
`void` `init(IEditorSite site, IEditorInput input)`
`boolean` `isDirty()`
`boolean` `isSaveAsAllowed()`
`protected void` `openEditor()`
`protected void` `openErrorDialog(java.lang.String message, java.lang.Exception exception)`
`protected void` `refresh()`
`void` `setDiagnostic(Diagnostic diagnostic)`
`void` `setFocus()`
`void` `setMarkerHelper(MarkerHelper markerHelper)`
`void` `setTextProvider(ProblemEditorPart.TextProvider textProvider)`
`protected void` `toggleDetails()`
`protected void` `updateDetails()`

Methods inherited from class org.eclipse.ui.part.EditorPart
`checkSite, getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setInput, setInputWithNotify, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### diagnostic

    protected Diagnostic diagnostic

### editorToOpen

    protected java.lang.String editorToOpen

### imageLabel

    protected Label imageLabel

### messageText

    protected Text messageText

### detailsButton

    protected Button detailsButton

### detailsComposite

    protected Composite detailsComposite

### diagnosticComposite

    protected DiagnosticComposite diagnosticComposite

### textProvider

    protected ProblemEditorPart.TextProvider textProvider

### markerUtil

    protected MarkerHelper markerUtil

Constructor Detail

### ProblemEditorPart

    public ProblemEditorPart()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IWorkbenchPart`
  Overrides:
    `dispose` in class `WorkbenchPart`

### setMarkerHelper

    public void setMarkerHelper(MarkerHelper markerHelper)

### getMarkerHelper

    public MarkerHelper getMarkerHelper()

### setTextProvider

    public void setTextProvider(ProblemEditorPart.TextProvider textProvider)

### getTextProvider

    public ProblemEditorPart.TextProvider getTextProvider()

### init

    public void init(IEditorSite site,
                     IEditorInput input)
              throws PartInitException

  Specified by:
    `init` in interface `IEditorPart`
  Specified by:
    `init` in class `EditorPart`
  Throws:
    `PartInitException`

### createPartControl

    public void createPartControl(Composite parent)

  Specified by:
    `createPartControl` in interface `IWorkbenchPart`
  Specified by:
    `createPartControl` in class `WorkbenchPart`

### getDiagnostic

    public Diagnostic getDiagnostic()

### setDiagnostic

    public void setDiagnostic(Diagnostic diagnostic)

### refresh

    protected void refresh()

### getImage

    protected Image getImage()

### getMessage

    protected java.lang.String getMessage()

### updateDetails

    protected void updateDetails()

### toggleDetails

    protected void toggleDetails()

### computeEditorToOpen

    protected java.lang.String computeEditorToOpen()

### openEditor

    protected void openEditor()

### createMarkers

    protected void createMarkers()

### openErrorDialog

    protected void openErrorDialog(java.lang.String message,
                                   java.lang.Exception exception)

### doSave

    public void doSave(IProgressMonitor monitor)

  Specified by:
    `doSave` in interface `ISaveablePart`
  Specified by:
    `doSave` in class `EditorPart`

### doSaveAs

    public void doSaveAs()

  Specified by:
    `doSaveAs` in interface `ISaveablePart`
  Specified by:
    `doSaveAs` in class `EditorPart`

### isDirty

    public boolean isDirty()

  Specified by:
    `isDirty` in interface `ISaveablePart`
  Specified by:
    `isDirty` in class `EditorPart`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Specified by:
    `isSaveAsAllowed` in interface `ISaveablePart`
  Specified by:
    `isSaveAsAllowed` in class `EditorPart`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `IWorkbenchPart`
  Specified by:
    `setFocus` in class `WorkbenchPart`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.